summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-11-20 19:10:59 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-11-20 19:10:59 +0100
commite50dfe5a489c7a6be56b71c718f03c7031ba0a2d (patch)
tree2d918fb5fbf927b5759bac46624dde9c5ac9388a /net-fs/minio
parentnet-fs/minio: Remove old (diff)
downloadgentoo-e50dfe5a489c7a6be56b71c718f03c7031ba0a2d.tar.gz
gentoo-e50dfe5a489c7a6be56b71c718f03c7031ba0a2d.tar.bz2
gentoo-e50dfe5a489c7a6be56b71c718f03c7031ba0a2d.zip
net-fs/minio: Version bump
Package-Manager: Portage-2.3.14, Repoman-2.3.6
Diffstat (limited to 'net-fs/minio')
-rw-r--r--net-fs/minio/Manifest1
-rw-r--r--net-fs/minio/minio-0_pre20171027.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/net-fs/minio/Manifest b/net-fs/minio/Manifest
index efbd148dc78..66c8030646b 100644
--- a/net-fs/minio/Manifest
+++ b/net-fs/minio/Manifest
@@ -1 +1,2 @@
DIST minio-0_pre20170929.tar.gz 6976881 SHA256 6e78d07d272630f1cad4cd7950a19206bdadaa2b6721f74df65ec85dd88b36a0 SHA512 f22ab87f4fadbe332acd7db9155fff5fb79c55357071627397d51b3a2c26eaf7f80c53b9ed37822d72948610d3d1805e70abaca6f3e39b26c3c1e4e6770cae44 WHIRLPOOL bd43ae7b1dcd196e90db5ffac8aa6643435af76582147ac50890221ff964a1cf36d8fe8411ae47148bb5cd0929f09c541c11abbaa3eb54c2efb40f3368104894
+DIST minio-0_pre20171027.tar.gz 6904926 SHA256 62f3baf0312302f3a3066f941157ba7d4347cfbaa13748e5786d1890a8a906e5 SHA512 15be3adf502efb9eecf2ef83a8339a1c965ee9ff6507e4a61e13faa187a3592cd88f9868716ce2834e54dde03f3bec12337a68e72fbaddf103c880ce3c4554f2 WHIRLPOOL 4c0af6e2ef356f1590dd99cbd754ef52e276791944e1776833ace870d5969c8e53f29cda554369458764bffe6891a7a51ac69590a958d7ae69622ecb48de79e0
diff --git a/net-fs/minio/minio-0_pre20171027.ebuild b/net-fs/minio/minio-0_pre20171027.ebuild
new file mode 100644
index 00000000000..bcb07af33f9
--- /dev/null
+++ b/net-fs/minio/minio-0_pre20171027.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/minio/minio"
+VERSION="2017-10-27T18-59-02Z"
+EGIT_COMMIT="03df692ae2f911943d5ef98b0ee2f9461605fb8c"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="An Amazon S3 compatible object storage server"
+HOMEPAGE="https://github.com/minio/minio"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ MINIO_RELEASE="${VERSION}"
+ go run buildscripts/gen-ldflags.go
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md MAINTAINERS.md docs
+ dobin minio
+ popd || die
+}